<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_object_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_object_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj.html">Object APIs</a>]</small>
</h1><!-- doxytag: class="tivx_object_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Structure to hold all framework objects. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__meta__format__t.html">tivx_meta_format_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a537358a20e6e53fb6442da04ad29b242">meta_format</a> [TIVX_META_FORMAT_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a709f5adb2fb7f92fe88ae62040f9aee6">isMfUse</a> [TIVX_META_FORMAT_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__context__t.html">tivx_context_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#aa4edecfe3652668e7709cfd5aa8e8dd4">context</a> [TIVX_CONTEXT_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a5f6c79df2e7c4fc0fa177c2e24b4aa3d">isContextUse</a> [TIVX_CONTEXT_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__graph__t.html">tivx_graph_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a3573cc19bf43d7f6a78aef7791dc5adf">graph</a> [TIVX_GRAPH_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a2e5f7b973838cc460f726a3a29cc51ab">isGraphUse</a> [TIVX_GRAPH_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__node__t.html">tivx_node_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#aa39ed2ad614fe44493059987c27a859d">node</a> [TIVX_NODE_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a4ea30dd8d2b0b6f7637ed35f1c43622a">isNodeUse</a> [TIVX_NODE_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__kernel__t.html">tivx_kernel_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#adc06f976b696be1de1b79d7ba9fc7242">kernel</a> [TIVX_KERNEL_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a166decdc785295da0b6fbdddcd75ab9c">isKernelUse</a> [TIVX_KERNEL_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__array__t.html">tivx_array_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#ac9dff81b5ca35ea966aca1cc483c91a4">array</a> [TIVX_ARRAY_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a81f7486fe88b0b82e29b9c4617bfd42e">isArrayUse</a> [TIVX_ARRAY_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__convolution__t.html">tivx_convolution_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a2e9b45b8816f674a8164de9928a481a3">convolution</a> [TIVX_CONVOLUTION_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#ae2e65b300a4f8ab37e303321281c902d">isConvolutionUse</a> [TIVX_CONVOLUTION_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__delay__t.html">tivx_delay_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a854b065603348454912c551c45809b2e">delay</a> [TIVX_DELAY_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a5d45bdf46f9d21bab308177494490f87">isDelayUse</a> [TIVX_DELAY_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__distribution__t.html">tivx_distribution_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#ae66bb0af9daedd1ccd541bdef33a7da8">distribution</a> [TIVX_DISTRIBUTION_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a8ff38d21bd815338c8953034e2c6f06a">isDistributionUse</a> [TIVX_DISTRIBUTION_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__image__t.html">tivx_image_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a149f13c93a0d45fbb2d18234a88f2e22">image</a> [TIVX_IMAGE_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#aa3315e8b2e685aacc0300a25868512ae">isImageUse</a> [TIVX_IMAGE_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__lut__t.html">tivx_lut_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a6ba21c07c46ffd964e87ebaee35abc54">lut</a> [TIVX_LUT_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a3035eb28c4e519245061a11fb649f807">isLutUse</a> [TIVX_LUT_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__matrix__t.html">tivx_matrix_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#aeaffeb7a1eed56dcbd85215b4a3d1b62">matrix</a> [TIVX_MATRIX_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#ad8213cdbbbc292c44e6c04b29f83e584">isMatrixUse</a> [TIVX_MATRIX_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__pyramid__t.html">tivx_pyramid_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#af94fa6b9d2023d6861e4e3c5c90656a2">pyramid</a> [TIVX_PYRAMID_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a1da9cf4235c48662af380b2e90d9d9c2">isPyramidUse</a> [TIVX_PYRAMID_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__remap__t.html">tivx_remap_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a99d4074b4e2186d15a09d84c2ae8c1f9">remap</a> [TIVX_REMAP_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a9bbb079a03251f53a9e93205c01c28e9">isRemapUse</a> [TIVX_REMAP_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__scalar__t.html">tivx_scalar_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a55a2bf58db1e8c082658a3d89d307936">scalar</a> [TIVX_SCALAR_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a31e17b63fd4f87410664bcbc69da6121">isScalarUse</a> [TIVX_SCALAR_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__threshold__t.html">tivx_threshold_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#ad8ad63197e55851511589df6840fce0b">threshold</a> [TIVX_THRESHOLD_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a849f9bb93c6871b3ea1b435d7629b95d">isThresholdUse</a> [TIVX_THRESHOLD_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__error__t.html">tivx_error_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#aa8dd71ab21b66964d188d08a3cd7f972">error</a> [TIVX_ERROR_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a3e66075dcf4dbc74ca7446c353171055">isErrorUse</a> [TIVX_ERROR_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__objarray__t.html">tivx_objarray_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a7bfb2e2c78e7a794adbc5707d5129cc0">obj_array</a> [TIVX_OBJ_ARRAY_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a2d7af334ec68a8d0706c79f153a6cc5c">isObjArrUse</a> [TIVX_OBJ_ARRAY_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__parameter__t.html">tivx_parameter_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#a641d91aeebfe8f4bc4c60e398e6443a8">parameter</a> [TIVX_PARAMETER_MAX_OBJECTS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html#adc9d4e03b77ece80b4566826772c6161">isParameterUse</a> [TIVX_PARAMETER_MAX_OBJECTS]</td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a537358a20e6e53fb6442da04ad29b242"></a><!-- doxytag: member="tivx_object_t::meta_format" ref="a537358a20e6e53fb6442da04ad29b242" args="[TIVX_META_FORMAT_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__meta__format__t.html">tivx_meta_format_t</a> <a class="el" href="structtivx__object__t.html#a537358a20e6e53fb6442da04ad29b242">tivx_object_t::meta_format</a>[TIVX_META_FORMAT_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Meta Format Objects </p>

</div>
</div>
<a class="anchor" id="a709f5adb2fb7f92fe88ae62040f9aee6"></a><!-- doxytag: member="tivx_object_t::isMfUse" ref="a709f5adb2fb7f92fe88ae62040f9aee6" args="[TIVX_META_FORMAT_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a709f5adb2fb7f92fe88ae62040f9aee6">tivx_object_t::isMfUse</a>[TIVX_META_FORMAT_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if meta format is in use or not </p>

</div>
</div>
<a class="anchor" id="aa4edecfe3652668e7709cfd5aa8e8dd4"></a><!-- doxytag: member="tivx_object_t::context" ref="aa4edecfe3652668e7709cfd5aa8e8dd4" args="[TIVX_CONTEXT_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__context__t.html">tivx_context_t</a> <a class="el" href="structtivx__object__t.html#aa4edecfe3652668e7709cfd5aa8e8dd4">tivx_object_t::context</a>[TIVX_CONTEXT_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Context Objects </p>

</div>
</div>
<a class="anchor" id="a5f6c79df2e7c4fc0fa177c2e24b4aa3d"></a><!-- doxytag: member="tivx_object_t::isContextUse" ref="a5f6c79df2e7c4fc0fa177c2e24b4aa3d" args="[TIVX_CONTEXT_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a5f6c79df2e7c4fc0fa177c2e24b4aa3d">tivx_object_t::isContextUse</a>[TIVX_CONTEXT_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if context object is in use or not </p>

</div>
</div>
<a class="anchor" id="a3573cc19bf43d7f6a78aef7791dc5adf"></a><!-- doxytag: member="tivx_object_t::graph" ref="a3573cc19bf43d7f6a78aef7791dc5adf" args="[TIVX_GRAPH_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__graph__t.html">tivx_graph_t</a> <a class="el" href="structtivx__object__t.html#a3573cc19bf43d7f6a78aef7791dc5adf">tivx_object_t::graph</a>[TIVX_GRAPH_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Graph Objects </p>

</div>
</div>
<a class="anchor" id="a2e5f7b973838cc460f726a3a29cc51ab"></a><!-- doxytag: member="tivx_object_t::isGraphUse" ref="a2e5f7b973838cc460f726a3a29cc51ab" args="[TIVX_GRAPH_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a2e5f7b973838cc460f726a3a29cc51ab">tivx_object_t::isGraphUse</a>[TIVX_GRAPH_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if graph object is in use or not </p>

</div>
</div>
<a class="anchor" id="aa39ed2ad614fe44493059987c27a859d"></a><!-- doxytag: member="tivx_object_t::node" ref="aa39ed2ad614fe44493059987c27a859d" args="[TIVX_NODE_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__node__t.html">tivx_node_t</a> <a class="el" href="structtivx__object__t.html#aa39ed2ad614fe44493059987c27a859d">tivx_object_t::node</a>[TIVX_NODE_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Node Objects </p>

</div>
</div>
<a class="anchor" id="a4ea30dd8d2b0b6f7637ed35f1c43622a"></a><!-- doxytag: member="tivx_object_t::isNodeUse" ref="a4ea30dd8d2b0b6f7637ed35f1c43622a" args="[TIVX_NODE_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a4ea30dd8d2b0b6f7637ed35f1c43622a">tivx_object_t::isNodeUse</a>[TIVX_NODE_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if node object is in use or not </p>

</div>
</div>
<a class="anchor" id="adc06f976b696be1de1b79d7ba9fc7242"></a><!-- doxytag: member="tivx_object_t::kernel" ref="adc06f976b696be1de1b79d7ba9fc7242" args="[TIVX_KERNEL_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__kernel__t.html">tivx_kernel_t</a> <a class="el" href="structtivx__object__t.html#adc06f976b696be1de1b79d7ba9fc7242">tivx_object_t::kernel</a>[TIVX_KERNEL_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Kernel Objects </p>

</div>
</div>
<a class="anchor" id="a166decdc785295da0b6fbdddcd75ab9c"></a><!-- doxytag: member="tivx_object_t::isKernelUse" ref="a166decdc785295da0b6fbdddcd75ab9c" args="[TIVX_KERNEL_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a166decdc785295da0b6fbdddcd75ab9c">tivx_object_t::isKernelUse</a>[TIVX_KERNEL_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if kernel object is in use or not </p>

</div>
</div>
<a class="anchor" id="ac9dff81b5ca35ea966aca1cc483c91a4"></a><!-- doxytag: member="tivx_object_t::array" ref="ac9dff81b5ca35ea966aca1cc483c91a4" args="[TIVX_ARRAY_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__array__t.html">tivx_array_t</a> <a class="el" href="structtivx__object__t.html#ac9dff81b5ca35ea966aca1cc483c91a4">tivx_object_t::array</a>[TIVX_ARRAY_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Array Objects </p>

</div>
</div>
<a class="anchor" id="a81f7486fe88b0b82e29b9c4617bfd42e"></a><!-- doxytag: member="tivx_object_t::isArrayUse" ref="a81f7486fe88b0b82e29b9c4617bfd42e" args="[TIVX_ARRAY_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a81f7486fe88b0b82e29b9c4617bfd42e">tivx_object_t::isArrayUse</a>[TIVX_ARRAY_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if Array object is in use or not </p>

</div>
</div>
<a class="anchor" id="a2e9b45b8816f674a8164de9928a481a3"></a><!-- doxytag: member="tivx_object_t::convolution" ref="a2e9b45b8816f674a8164de9928a481a3" args="[TIVX_CONVOLUTION_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__convolution__t.html">tivx_convolution_t</a> <a class="el" href="structtivx__object__t.html#a2e9b45b8816f674a8164de9928a481a3">tivx_object_t::convolution</a>[TIVX_CONVOLUTION_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Convolution Objects </p>

</div>
</div>
<a class="anchor" id="ae2e65b300a4f8ab37e303321281c902d"></a><!-- doxytag: member="tivx_object_t::isConvolutionUse" ref="ae2e65b300a4f8ab37e303321281c902d" args="[TIVX_CONVOLUTION_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#ae2e65b300a4f8ab37e303321281c902d">tivx_object_t::isConvolutionUse</a>[TIVX_CONVOLUTION_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if convolution object is in use or not </p>

</div>
</div>
<a class="anchor" id="a854b065603348454912c551c45809b2e"></a><!-- doxytag: member="tivx_object_t::delay" ref="a854b065603348454912c551c45809b2e" args="[TIVX_DELAY_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__delay__t.html">tivx_delay_t</a> <a class="el" href="structtivx__object__t.html#a854b065603348454912c551c45809b2e">tivx_object_t::delay</a>[TIVX_DELAY_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Delay Objects </p>

</div>
</div>
<a class="anchor" id="a5d45bdf46f9d21bab308177494490f87"></a><!-- doxytag: member="tivx_object_t::isDelayUse" ref="a5d45bdf46f9d21bab308177494490f87" args="[TIVX_DELAY_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a5d45bdf46f9d21bab308177494490f87">tivx_object_t::isDelayUse</a>[TIVX_DELAY_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if delay object is in use or not </p>

</div>
</div>
<a class="anchor" id="ae66bb0af9daedd1ccd541bdef33a7da8"></a><!-- doxytag: member="tivx_object_t::distribution" ref="ae66bb0af9daedd1ccd541bdef33a7da8" args="[TIVX_DISTRIBUTION_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__distribution__t.html">tivx_distribution_t</a> <a class="el" href="structtivx__object__t.html#ae66bb0af9daedd1ccd541bdef33a7da8">tivx_object_t::distribution</a>[TIVX_DISTRIBUTION_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Distribution Objects </p>

</div>
</div>
<a class="anchor" id="a8ff38d21bd815338c8953034e2c6f06a"></a><!-- doxytag: member="tivx_object_t::isDistributionUse" ref="a8ff38d21bd815338c8953034e2c6f06a" args="[TIVX_DISTRIBUTION_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a8ff38d21bd815338c8953034e2c6f06a">tivx_object_t::isDistributionUse</a>[TIVX_DISTRIBUTION_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if distribution object is in use or not </p>

</div>
</div>
<a class="anchor" id="a149f13c93a0d45fbb2d18234a88f2e22"></a><!-- doxytag: member="tivx_object_t::image" ref="a149f13c93a0d45fbb2d18234a88f2e22" args="[TIVX_IMAGE_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__image__t.html">tivx_image_t</a> <a class="el" href="structtivx__object__t.html#a149f13c93a0d45fbb2d18234a88f2e22">tivx_object_t::image</a>[TIVX_IMAGE_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Image Objects </p>

</div>
</div>
<a class="anchor" id="aa3315e8b2e685aacc0300a25868512ae"></a><!-- doxytag: member="tivx_object_t::isImageUse" ref="aa3315e8b2e685aacc0300a25868512ae" args="[TIVX_IMAGE_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#aa3315e8b2e685aacc0300a25868512ae">tivx_object_t::isImageUse</a>[TIVX_IMAGE_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if image object is in use or not </p>

</div>
</div>
<a class="anchor" id="a6ba21c07c46ffd964e87ebaee35abc54"></a><!-- doxytag: member="tivx_object_t::lut" ref="a6ba21c07c46ffd964e87ebaee35abc54" args="[TIVX_LUT_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__lut__t.html">tivx_lut_t</a> <a class="el" href="structtivx__object__t.html#a6ba21c07c46ffd964e87ebaee35abc54">tivx_object_t::lut</a>[TIVX_LUT_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Lut Objects </p>

</div>
</div>
<a class="anchor" id="a3035eb28c4e519245061a11fb649f807"></a><!-- doxytag: member="tivx_object_t::isLutUse" ref="a3035eb28c4e519245061a11fb649f807" args="[TIVX_LUT_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a3035eb28c4e519245061a11fb649f807">tivx_object_t::isLutUse</a>[TIVX_LUT_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if lut object is in use or not </p>

</div>
</div>
<a class="anchor" id="aeaffeb7a1eed56dcbd85215b4a3d1b62"></a><!-- doxytag: member="tivx_object_t::matrix" ref="aeaffeb7a1eed56dcbd85215b4a3d1b62" args="[TIVX_MATRIX_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__matrix__t.html">tivx_matrix_t</a> <a class="el" href="structtivx__object__t.html#aeaffeb7a1eed56dcbd85215b4a3d1b62">tivx_object_t::matrix</a>[TIVX_MATRIX_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Matrix Objects </p>

</div>
</div>
<a class="anchor" id="ad8213cdbbbc292c44e6c04b29f83e584"></a><!-- doxytag: member="tivx_object_t::isMatrixUse" ref="ad8213cdbbbc292c44e6c04b29f83e584" args="[TIVX_MATRIX_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#ad8213cdbbbc292c44e6c04b29f83e584">tivx_object_t::isMatrixUse</a>[TIVX_MATRIX_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if matrix object is in use or not </p>

</div>
</div>
<a class="anchor" id="af94fa6b9d2023d6861e4e3c5c90656a2"></a><!-- doxytag: member="tivx_object_t::pyramid" ref="af94fa6b9d2023d6861e4e3c5c90656a2" args="[TIVX_PYRAMID_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__pyramid__t.html">tivx_pyramid_t</a> <a class="el" href="structtivx__object__t.html#af94fa6b9d2023d6861e4e3c5c90656a2">tivx_object_t::pyramid</a>[TIVX_PYRAMID_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Pyramid Objects </p>

</div>
</div>
<a class="anchor" id="a1da9cf4235c48662af380b2e90d9d9c2"></a><!-- doxytag: member="tivx_object_t::isPyramidUse" ref="a1da9cf4235c48662af380b2e90d9d9c2" args="[TIVX_PYRAMID_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a1da9cf4235c48662af380b2e90d9d9c2">tivx_object_t::isPyramidUse</a>[TIVX_PYRAMID_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if pyramid object is in use or not </p>

</div>
</div>
<a class="anchor" id="a99d4074b4e2186d15a09d84c2ae8c1f9"></a><!-- doxytag: member="tivx_object_t::remap" ref="a99d4074b4e2186d15a09d84c2ae8c1f9" args="[TIVX_REMAP_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__remap__t.html">tivx_remap_t</a> <a class="el" href="structtivx__object__t.html#a99d4074b4e2186d15a09d84c2ae8c1f9">tivx_object_t::remap</a>[TIVX_REMAP_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Remap Objects </p>

</div>
</div>
<a class="anchor" id="a9bbb079a03251f53a9e93205c01c28e9"></a><!-- doxytag: member="tivx_object_t::isRemapUse" ref="a9bbb079a03251f53a9e93205c01c28e9" args="[TIVX_REMAP_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a9bbb079a03251f53a9e93205c01c28e9">tivx_object_t::isRemapUse</a>[TIVX_REMAP_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if remap object is in use or not </p>

</div>
</div>
<a class="anchor" id="a55a2bf58db1e8c082658a3d89d307936"></a><!-- doxytag: member="tivx_object_t::scalar" ref="a55a2bf58db1e8c082658a3d89d307936" args="[TIVX_SCALAR_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__scalar__t.html">tivx_scalar_t</a> <a class="el" href="structtivx__object__t.html#a55a2bf58db1e8c082658a3d89d307936">tivx_object_t::scalar</a>[TIVX_SCALAR_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Scalar Objects </p>

</div>
</div>
<a class="anchor" id="a31e17b63fd4f87410664bcbc69da6121"></a><!-- doxytag: member="tivx_object_t::isScalarUse" ref="a31e17b63fd4f87410664bcbc69da6121" args="[TIVX_SCALAR_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a31e17b63fd4f87410664bcbc69da6121">tivx_object_t::isScalarUse</a>[TIVX_SCALAR_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if scalar object is in use or not </p>

</div>
</div>
<a class="anchor" id="ad8ad63197e55851511589df6840fce0b"></a><!-- doxytag: member="tivx_object_t::threshold" ref="ad8ad63197e55851511589df6840fce0b" args="[TIVX_THRESHOLD_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__threshold__t.html">tivx_threshold_t</a> <a class="el" href="structtivx__object__t.html#ad8ad63197e55851511589df6840fce0b">tivx_object_t::threshold</a>[TIVX_THRESHOLD_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Threshold Objects </p>

</div>
</div>
<a class="anchor" id="a849f9bb93c6871b3ea1b435d7629b95d"></a><!-- doxytag: member="tivx_object_t::isThresholdUse" ref="a849f9bb93c6871b3ea1b435d7629b95d" args="[TIVX_THRESHOLD_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a849f9bb93c6871b3ea1b435d7629b95d">tivx_object_t::isThresholdUse</a>[TIVX_THRESHOLD_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if threshold object is in use or not </p>

</div>
</div>
<a class="anchor" id="aa8dd71ab21b66964d188d08a3cd7f972"></a><!-- doxytag: member="tivx_object_t::error" ref="aa8dd71ab21b66964d188d08a3cd7f972" args="[TIVX_ERROR_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__error__t.html">tivx_error_t</a> <a class="el" href="structtivx__object__t.html#aa8dd71ab21b66964d188d08a3cd7f972">tivx_object_t::error</a>[TIVX_ERROR_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Error Objects </p>

</div>
</div>
<a class="anchor" id="a3e66075dcf4dbc74ca7446c353171055"></a><!-- doxytag: member="tivx_object_t::isErrorUse" ref="a3e66075dcf4dbc74ca7446c353171055" args="[TIVX_ERROR_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a3e66075dcf4dbc74ca7446c353171055">tivx_object_t::isErrorUse</a>[TIVX_ERROR_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if error object is in use or not </p>

</div>
</div>
<a class="anchor" id="a7bfb2e2c78e7a794adbc5707d5129cc0"></a><!-- doxytag: member="tivx_object_t::obj_array" ref="a7bfb2e2c78e7a794adbc5707d5129cc0" args="[TIVX_OBJ_ARRAY_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__objarray__t.html">tivx_objarray_t</a> <a class="el" href="structtivx__object__t.html#a7bfb2e2c78e7a794adbc5707d5129cc0">tivx_object_t::obj_array</a>[TIVX_OBJ_ARRAY_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Object arrays </p>

</div>
</div>
<a class="anchor" id="a2d7af334ec68a8d0706c79f153a6cc5c"></a><!-- doxytag: member="tivx_object_t::isObjArrUse" ref="a2d7af334ec68a8d0706c79f153a6cc5c" args="[TIVX_OBJ_ARRAY_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#a2d7af334ec68a8d0706c79f153a6cc5c">tivx_object_t::isObjArrUse</a>[TIVX_OBJ_ARRAY_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if object array is in use or not </p>

</div>
</div>
<a class="anchor" id="a641d91aeebfe8f4bc4c60e398e6443a8"></a><!-- doxytag: member="tivx_object_t::parameter" ref="a641d91aeebfe8f4bc4c60e398e6443a8" args="[TIVX_PARAMETER_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__parameter__t.html">tivx_parameter_t</a> <a class="el" href="structtivx__object__t.html#a641d91aeebfe8f4bc4c60e398e6443a8">tivx_object_t::parameter</a>[TIVX_PARAMETER_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Parameter objects </p>

</div>
</div>
<a class="anchor" id="adc9d4e03b77ece80b4566826772c6161"></a><!-- doxytag: member="tivx_object_t::isParameterUse" ref="adc9d4e03b77ece80b4566826772c6161" args="[TIVX_PARAMETER_MAX_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__object__t.html#adc9d4e03b77ece80b4566826772c6161">tivx_object_t::isParameterUse</a>[TIVX_PARAMETER_MAX_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag indicating if Parameter object is use or not </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
